<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <include layout="@layout/navigationbar" />

    <LinearLayout
        android:orientation="vertical"
        android:id="@+id/document_size_name"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/navigation_bar">

        <EditText
            android:textAppearance="?android:attr/textAppearanceMedium"
            android:id="@+id/et_document_size"
            android:background="@drawable/setting_border"
            android:padding="5dp"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginLeft="10dp"
            android:layout_marginTop="10dp"
            android:layout_marginRight="10dp"
            android:text="@string/new_document_size"
            android:maxLines="1"
            android:ems="10"
            android:singleLine="true"
            android:maxLength="64"
            android:inputType="text"
            android:imeOptions="flagNoExtractUi" />
    </LinearLayout>

    <LinearLayout
        android:orientation="vertical"
        android:id="@+id/document_size"
        android:background="@drawable/setting_border"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="10dp"
        android:layout_marginTop="10dp"
        android:layout_marginRight="10dp"
        android:layout_below="@+id/document_size_name">

        <FrameLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="45dp">

            <TextView
                android:textSize="17sp"
                android:gravity="center_vertical"
                android:layout_gravity="left"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginLeft="8dp"
                android:text="@string/size_scale" />

            <RadioGroup
                android:layout_gravity="right|center_vertical|center_horizontal|center"
                android:orientation="horizontal"
                android:id="@+id/document_size_scale"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:layout_marginBottom="8dp"
                android:checkedButton="@+id/mm_button">

                <RadioButton
                    android:textColor="@drawable/radio_gray_text_color"
                    android:id="@+id/mm_button"
                    android:background="@drawable/radio_gray_left"
                    android:layout_width="wrap_content"
                    android:text="@string/mm_button"
                    style="@style/CommonRadioButton" />

                <RadioButton
                    android:textColor="@drawable/radio_gray_text_color"
                    android:id="@+id/inch_button"
                    android:background="@drawable/radio_gray_right"
                    android:layout_width="wrap_content"
                    android:layout_marginRight="8dp"
                    android:text="@string/inch_button"
                    style="@style/CommonRadioButton" />
            </RadioGroup>
        </FrameLayout>

        <View
            android:background="@color/light"
            android:layout_width="match_parent"
            android:layout_height="1dp" />

        <FrameLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="45dp">

            <TextView
                android:textSize="17sp"
                android:gravity="center_vertical"
                android:layout_gravity="left"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginLeft="8dp"
                android:text="@string/size_width" />

            <LinearLayout
                android:layout_gravity="right|center_vertical|center_horizontal|center"
                android:orientation="horizontal"
                android:layout_width="wrap_content"
                android:layout_height="match_parent">

                <Button
                    android:layout_gravity="center_vertical"
                    android:id="@+id/width_dec_button"
                    android:text="-"
                    style="@style/PlusMinusButton" />

                <TextView
                    android:textSize="17sp"
                    android:gravity="right|center_vertical|center_horizontal|center"
                    android:id="@+id/width"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="5dp"
                    android:layout_marginRight="5dp"
                    android:minWidth="80dp"
                    android:text="0" />

                <Button
                    android:layout_gravity="center_vertical"
                    android:id="@+id/width_inc_button"
                    android:layout_marginRight="8dp"
                    android:text="+"
                    style="@style/PlusMinusButton" />
            </LinearLayout>
        </FrameLayout>

        <View
            android:background="@color/light"
            android:layout_width="match_parent"
            android:layout_height="1dp" />

        <FrameLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="45dp">

            <TextView
                android:textSize="17sp"
                android:gravity="center_vertical"
                android:layout_gravity="left"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginLeft="8dp"
                android:text="@string/size_height" />

            <LinearLayout
                android:layout_gravity="right|center_vertical|center_horizontal|center"
                android:orientation="horizontal"
                android:layout_width="wrap_content"
                android:layout_height="match_parent">

                <Button
                    android:layout_gravity="center_vertical"
                    android:id="@+id/height_dec_button"
                    android:text="-"
                    style="@style/PlusMinusButton" />

                <TextView
                    android:textSize="17sp"
                    android:gravity="right|center_vertical|center_horizontal|center"
                    android:layout_gravity="right"
                    android:id="@+id/height"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="5dp"
                    android:layout_marginRight="5dp"
                    android:minWidth="80dp"
                    android:text="0" />

                <Button
                    android:layout_gravity="center_vertical"
                    android:id="@+id/height_inc_button"
                    android:layout_marginRight="8dp"
                    android:text="+"
                    style="@style/PlusMinusButton" />
            </LinearLayout>
        </FrameLayout>
    </LinearLayout>
</RelativeLayout>
